Arbor 3: FSM & BT Graph Editor 3.6.4

List of all members
SetParameterAction Class Reference

Set a value for Parameter. More...

Inheritance diagram for SetParameterAction:

## Additional Inherited Members
Public Member Functions inherited from SetParameterActionInternal
void | SetParameter (Parameter parameter)
| Set parameter. More...
Public Member Functions inherited from NodeBehaviour
void | RebuildFields ()
| For internal. More...
DataSlotField | GetDataSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetDataSlotField (DataSlot slot)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| Get DataSlotField. More...
void | RebuildDataSlotFields ()
| Rebuild the DataSlotField. More...
void | RebuildCalculatorSlotFields ()
| Rebuild the DataSlotField. More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| For Editor. More...
void | UpdateDataLink ()
| Manually update DataLink values. More...
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| For Editor. More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| For Editor. More...
static void | Destroy (NodeBehaviour behaviour)
| Destroy NodeBehaviour. More...
Public Attributes inherited from TreeNodeBehaviour
bool | expanded = true
| Expanded on ArborEditorWindow. More...
Protected Member Functions inherited from SetParameterActionInternal
override void | OnExecute ()
| Called when executing. More...
Protected Member Functions inherited from ActionBehaviour
void | FinishExecute (bool result)
| Finish Execute. More...
Protected Member Functions inherited from TreeNodeBehaviour
sealed override void | OnInitializeEnabled ()
| Called to perform enabled initialization. More...
virtual void | OnAwake ()
| This function is called when the own node becomes active for the first time. More...
virtual void | OnStart ()
| This function is called when the own node becomes active. More...
virtual void | OnAbort ()
| This function is called when the own node is aborted. More...
virtual void | OnEnd ()
| This function is called when the own node ends. More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnValidate ()
| See MonoBehaviour.OnValidate. More...
virtual void | OnCreated ()
| Raises the created event. More...
virtual void | OnPreDestroy ()
| Raises the pre destroy event. More...
virtual void | OnGraphPause ()
| This function is called when the graph is paused. More...
virtual void | OnGraphResume ()
| This function is called when the graph resumes. More...
virtual void | OnGraphStop ()
| This function is called when the graph stops. More...
Properties inherited from SetParameterActionInternal
bool | isInGraphParameter`[get]`
| Whether this refers to a parameter in the graph. More...
Properties inherited from ActionBehaviour
ActionNode | actionNode`[get]`
| Get the ActionNode. More...
Properties inherited from TreeNodeBehaviour
BehaviourTreeInternal | behaviourTree`[get]`
| Gets the behaviour tree. More...
TreeNodeBase | treeNode`[get]`
| Get the TreeNodeBase. More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...
Node | node`[get]`
| Get the Node. More...
int | dataSlotFieldCount`[get]`
| Number of DataSlotField More...
int | calculatorSlotFieldCount`[get]`
| Number of DataSlotField More...

## Detailed Description

Set a value for Parameter.